##############################################################################
#
#----------------------------------------------------------------------------------------------------------------------------------------
#   ZJMailHost
#
#   Product to add abbility for Zope MailHost product, sending Japanese email.
#
#   Copyright (c) 2004 Zope Japan KK.(Atsushi Shibata)
#   All Rights Reserved.
#----------------------------------------------------------------------------------------------------------------------------------------
#
# Copyright (c) 2004 Zope Japan KK.
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################

__doc__="""__init__.py : Initialize functions for ZJMailHost'
$Id: __init__.py,v 1.3 2004/12/24 06:43:32 ats_shib Exp $"""

__version__='$Revision: 1.3 $'[11:-2]
__product_version__ = "ZJMailHost 0.8a"

from Globals import DTMLFile
from Products.MailHost.MailHost import MailHost,MailBase,\
                        MailHostError, _encode, _mungeHeaders

from mhpatch import patched_send,_patched_mungeHeaders,\
                            patched_manage_makeChanges

def initialize(context):
    """Patch methods/interfaces in MailHost"""
    #Patch methods
    MailHost.send=patched_send
    MailHost._mungeHeaders=_patched_mungeHeaders
    MailHost.manage_makeChanges=patched_manage_makeChanges

    #Patch interfaces
    MailHost.manage=MailHost.manage_main=\
        DTMLFile('dtml/manageMailHost', globals())

