##############################################################################
#
#----------------------------------------------------------------------------------------------------------------------------------------
#   buttons.py
#
#   Definitions to replace buttons in ZMI
#
#   Copyright (c) 2004 Zope Japan KK.(Atsushi Shibata)
#   All Rights Reserved.
#----------------------------------------------------------------------------------------------------------------------------------------
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################

#Dictinalries for buttons replacements

__doc__="""buttons.py : Dictinalries for buttons replacements'
$Id: buttons.py,v 1.4 2004/12/24 08:13:14 ats_shib Exp $"""

__version__='$Revision: 1.4 $'[11:-2]

button_dic = {\
"form_button_lt_back":"""&lt; Back""",
#"form_button_pre":"""<<""",
#"form_button_next":""">>""",
#"form_button_action_1":"""Action 2""",
#"form_button_action_2":"""Action 3""",
#"form_button_action_3":"""Action 4""",
"Add":"""Add""",
"Add ":"""Add """,
"Add Role":"""Add Role""",
"Add and Edit":"""Add and Edit""",
"Add and Test":"""Add and Test""",
"Add...":"""Add...""",
"Bottom":"""Bottom""",
"Cancel":"""Cancel""",
"Change":"""Change""",
"Change Names/Types":"""Change Names/Types""",
"Change and Test":"""Change and Test""",
"Clear":"""Clear""",
"Clear Catalog":"""Clear Catalog""",
"Clear index":"""Clear index""",
"Close Connection":"""Close Connection""",
"Compare":"""Compare""",
"Convert index":"""Convert index""",
"Copy":"""Copy""",
"Copy to present":"""Copy to present""",
"Create distribution archive":"""Create distribution archive""",
"Cut":"""Cut""",
"Delete":"""Delete""",
"Delete Role":"""Delete Role""",
"Disable":"""Disable""",
"Discard":"""Discard""",
"Down":"""Down""",
"Edit with new Types":"""Edit with new Types""",
"Enable":"""Enable""",
"Export":"""Export""",
"Export...":"""Export...""",
"Find":"""Find""",
"Find and Catalog":"""Find and Catalog""",
"First":"""First""",
"Generate":"""Generate""",
"Generate SQL":"""Generate SQL""",
"Go":"""Go""",
"Help":"""Help""",
"Import":"""Import""",
"Import/Export":"""Import/Export""",
"Invalidate":"""Invalidate""",
"Locate":"""Locate""",
"Minimize":"""Minimize""",
"Narrower":"""Narrower""",
"Next &gt;":"""Next &gt;""",
"No Access Rule":"""No Access Rule""",
"Ok":"""Ok""",
"Open Connection":"""Open Connection""",
"Pack":"""Pack""",
"Paste":"""Paste""",
"Query":"""Query""",
"Quit working in ":"""Quit working in """,
" Refresh ":""" Refresh """,
"Refresh this product":"""Refresh this product""",
"Reindex":"""Reindex""",
"Remove":"""Remove""",
"Remove index":"""Remove index""",
"Rename":"""Rename""",
"Restart":"""Restart""",
" Return to log ":""" Return to log """,
"Run Script":"""Run Script""",
"Save":"""Save""",
"Save Changes":"""Save Changes""",
" Save Changes ":""" Save Changes """,
"Save changes":"""Save changes""",
"Search":"""Search""",
"Deselect All":"""Deselect All""",
"Select All":"""Select All""",
"Set Rule":"""Set Rule""",
"Set Threshold":"""Set Threshold""",
"Set View as Default":"""Set View as Default""",
"Shorter":"""Shorter""",
"Show current chart":"""Show current chart""",
"Shutdown":"""Shutdown""",
"Start auto refresh":"""Start auto refresh""",
"Start working in ":"""Start working in """,
"Submit Query":"""Submit Query""",
"Take Ownership":"""Take Ownership""",
"Taller":"""Taller""",
"Top":"""Top""",
"Undo":"""Undo""",
"Unlock objects":"""Unlock objects""",
"Up":"""Up""",
"Update":"""Update""",
"Update Catalog":"""Update Catalog""",
"Update existing passwords":"""Update existing passwords""",
"Upload":"""Upload""",
"Upload File":"""Upload File""",
"Wider":"""Wider""",
}
